### Method

# Camel FolderSummary peek_loaded

since: 2.26

#### Declaration [src]

    CamelMessageInfo*
    camel_folder_summary_peek_loaded (
      CamelFolderSummary* summary,
      const gchar* uid
    )

#### Description

No description available.

Available since: 2.26

#### Parameters

`uid`

  Type: `const gchar*`

  A message UID to look for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelMessageInfo`

A `CamelMessageInfo` for the given `uid`, if it’s currently loaded in memory, or `NULL` otherwise. Unref the non-NULL info with `g_object_unref()` when done with it.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.